.\" bm# 0000002125
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cd.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CD C
.SH Name
cd \- Changes working directory.
.SH Syntax
.B cd
[ \fIdirectory\fR ]
.SH Description
.I Cd
changes the current directory to the directory specified
by
.IR directory\^ .
If no
.I directory
is specified, the value of the shell parameter
.SM $HOME
is used, and the user is placed in his home
directory. The argument ``..'' moves up from a directory
to the parent directory.
.P
The user must have search (execute)
permission in all directories specified in
.IR directory .
.SH Examples
The following example changes the current directory to the
user's home directory:
.IP
cd
.PP
The following command changes the current directory
to 
.BR /usr/joe/memos/meetings :
.IP
cd /usr/joe/memos/meetings
.PP
The following command changes the current directory from
.B /usr/joe/memos/meetings 
to 
.BR /usr/joe/accounts/overdue :
.IP
cd ../../accounts/overdue
.SH "See Also"
chroot(C), chdir(S), pwd(C), sh(C)
