.\" bm# 0000002117
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cp.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CP C
.SH Name
cp \- Copies files.
.SH Syntax
.B cp
file1 file2 
.PP
.B cp
files directory
.SH Description
There are two ways to use the 
.I cp
command.
With the first way,
.I file1\^
is copied to
.IR file2 .
Under no circumstance can
.I file1\^
and
.I file2\^
be identical.
With the second way,
.I directory\^
is the location of a directory into which one or more 
.I files 
are copied.
.SH "See Also"
copy(C),
cpio(C),
ln(C),
mv(C),
rm(C),
chmod(S)
.SH Notes
Special device files can be copied. 
If the file is a named pipe, then the data in the pipe is copied to
a regular file.
Similarly, if the file is a device, then the file is read until the
end-of-file is reached, and that data is copied to a regular file.
It is illegal to copy a directory to a file.
