.\" bm# 0000002107
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)df.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DF C
.SH Name
df \- Reports the number of free disk blocks.
.SH Syntax
.B df
[
.B \-t
]
[
.B \-f
] [ filesystem ... ]
.SH Description
.I Df\^
prints out the number of free blocks and free inodes
available for on-line file systems
by examining the counts kept in the super-blocks.
One or more
.I filesystem\^
arguments may be specified by
device name (for example,
.B /dev/hd0 
or
.BR /dev/usr ).
'\"	or by 
'\"	mounted directory name (e.g.,
'\"	.BR /usr ).
If the
.I filesystem\^
argument is unspecified,
then the free space on all mounted file systems is 
sent to the standard output.
The list of mounted file systems is given in
.BR /etc/mnttab .
.PP
The
.B \-t
flag causes the total allocated block figures 
to be reported as well.
.PP
If the
.B \-f
flag is given,
only an actual count of the blocks in the
free list is made
(free inodes are not reported).
With this option,
.I df\^
reports on raw devices.
.SH Files
/dev/\(**
.br
.sp 10p
/etc/mnttab
.SH "See Also"
fsck(C), mnttab(F)
.SH Notes
See 
.I Notes
under
.IR mount (C).
