.\" bm# 0000002104
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dircmp.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DIRCMP C
.SH Name
dircmp \- Compares directories.
.SH Syntax
.B dircmp
.RB [ \-d ]
.RB [ \-s ]
dir1 dir2
.SH Description
.I Dircmp\^
examines
.I dir1\^
and
.I dir2\^
and generates tabulated information
about the contents of the directories. 
Listings of files that are unique to each directory are generated
in addition to a list that indicates whether
the files common to both directories have the same contents.
.PP
There are two options available:
.TP 4
.B \-d
Performs a full 
.I diff 
on each pair of like-named
files if the contents of the files are not identical
.TP 4
.B \-s
Reports whether files are ``same'' or ``different''
.SH "See Also"
cmp(C), diff(C)
