.\" bm# 0000002102
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)disable.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DISABLE C 
.SH Name
disable \- Turns off terminals.
.SH Syntax
.B disable
.RB [ "\-d "
] [ 
.RB [ " \-e"
] 
.RI tty " ..." 
.SH Description
This program manipulates the
.I /etc/ttys
file and signals
.I init
to disallow logins on a particular terminal.
The 
.B \-d
and
.B \-e
options ``disable'' and ``enable'' terminals, respectively.
.SH Examples
A simple example follows:
.IP
.nf
disable tty01 
.fi
Multiple terminals can be disabled or enabled using the 
.B \-d
and
.B \-e
switches before the appropriate terminal name:
.IP
.nf
disable tty01 \-e tty02 \-d tty03 tty04
.fi
.SH Files
/dev/tty* 
.sp 10p
/etc/ttys
.SH "See Also"
login(M),
enable(C),
ttys(M),
getty(M),
init(M)
'\"	.SH Notes
.SH Warning
Be absolutely certain to pause at least 
.B "one minute"
before reusing this command or before using the
.I enable 
command.
Failure to do so may cause the system to crash.
