.\" bm# 0000002101
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dtype.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DTYPE C 
.SH Name
dtype \- Determines disk type.
.SH Syntax
.B dtype [\-s]
device ...
.SH Description
.I Dtype
determines type of disk, prints pertinent information on the
standard output unless the silent 
.RB ( \-s )
option is selected, 
and exits with a corresponding code (see below).  
When more than one argument is
given, the exit code corresponds to the last argument.
.PP
.TS
allbox;
lfB lfB lfB
l l l.
Disk	Exit	Message
Type	Code	(optional)
_	_	_
Misc.	60	error (specified)
	61	empty or unrecognized data
Storage	70	dump format, volume n
	71	tar format[, extent e of n]
	72	cpio format
	73	cpio character (\-c) format
MS-DOS	80	MS-DOS 1.x, 8 sec/track, single sided
	81	MS-DOS 1.x, 8 sec/track, dual sided
	90	MS-DOS 2.x, 8 sec/track, single sided
	91	MS-DOS 2.x, 8 sec/track, dual sided
	92	MS-DOS 2.x, 9 sec/track, single sided
	93	MS-DOS 2.x, 9 sec/track, dual sided
	94	MS-DOS 2.x fixed disk
XENIX	120	XENIX 2.x filesystem[ needs fsck]
	130	XENIX 3.x filesystem[ needs fsck]
.TE
'\"62     "uninitialized disk" (not yet implemented)
.PP
.SH Notes
.SM XENIX 
file systems and dump and cpio binary formats may not
be recognized if created on a foreign system.
This is due to such system differences as byte and word swapping and
structure alignment.  
'\"	A later version will take these
'\"	complexities into account.
