.\" bm# 0000002143
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)enable.C	1.1);


.ds mc 
.ds rv Revision 1
.TH ENABLE C 
.SH Name
enable \- Turns on terminals.
.SH Syntax
.B enable
.RB [ "\-d "
] [ 
.RB [ " \-e"
] 
.RI tty " ..." 
.SH Description
This program manipulates the
.B /etc/ttys
file and signals
.I init
to allow logins on a particular terminal.
The
.B \-e
and
.B \-d
options may be used to allow logins on some terminals
and disallow logins on other terminals in a single command.
.SH Examples
A simple command to enable 
.B tty01 
follows:
.PP
.RS
enable tty01 
.RE
.PP
Multiple terminals can be disabled or enabled using the 
.B \-d
and
.B \-e
switches before the appropriate terminal name:
.PP
.RS
enable tty01 \-e tty02 \-d tty03 tty04
.RE
.PP
.SH Files
/dev/tty* 
.sp 10p
/etc/ttys
.SH "See Also"
login(M),
disable(C),
ttys(M),
getty(M),
init(M)
'\"	.SH Notes
.SH Warning
Be absolutely certain to pause at least 
.B "one minute"
before reusing this command or before using the
.I disable 
command.
Failure to do so may cause the system to crash.
