.\" bm# 0000002091
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)file.C	1.1);


.ds mc 
.ds rv Revision 1
.TH FILE C
.SH Name
file \- Determines file type.
.SH Syntax
.B file
file ...
.PP
.B file \-f 
namesfile
.SH Description
.I File\^
performs a series of tests on each argument
in an attempt to classify it.
If an argument appears to be 
.SM ASCII,
.I file\^
examines the first 512 bytes
and tries to guess its language.
If an argument is an executable
.B x.out
file,
.I file\^
prints the version stamp, provided it is greater than 0.
.PP
If the first argument is a 
.B \-f 
option, 
file takes the list of filenames from 
.I namesfile.
.PP
Several object file formats are recognized.  
For 
.B a.out 
and 
.B x.out 
format object files, 
the relationship of
.I cc 
flags to file classification is 
.B \-i
for ``separate'',
.B \-n
for ``pure'', and
.B \-s
for not ``not stripped''.
.SH Notes
It can make mistakes:
in particular it often suggests that
command files are C programs.
