.\" bm# 0000002085
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)haltsys.C	1.1);


.ds mc 
.ds rv Revision 1
.TH HALTSYS C
.SH Name
haltsys \- Closes out the file systems and halts the CPU.
.SH Syntax
.B /etc/haltsys
.SH Description
.I Haltsys
does a shutdn() system call (see
.IR shutdn (S))
to flush out pending disk I/O, mark the file systems clean, and
halt the processor.
.I Haltsys
takes effect immediately, so user processes should be killed beforehand.
.IR Shutdown (C)
is recommended for normal system termination;
it warns the users, cleans things up, and calls
.IR haltsys .
Use
.I haltsys
directly only if some system problem prevents the running of
.I shutdown.
.SH "See Also"
shutdn(S),
shutdown(C)
