.\" bm# 0000002079
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)l.C	1.1);


.ds mc 
.ds rv Revision 1
.TH L C 
.SH Name
l  \-  Lists information about contents of directory.
.SH Syntax
.B l
[
.B \-asdrucifg
] name ...
.SH Description
For each directory argument,
.I l
lists the contents of the directory;
for each file argument,
.I l
repeats its name and other requested information.
The output is sorted alphabetically by default.
When no argument is given, the current directory is listed.
When several arguments are given,
the arguments are first sorted appropriately,
but file arguments appear
before directories and their contents.
Information is listed in the format of the ``ls \-l''
command, which is identical to 
the 
.I l 
command.
This format and all provided switches are
described in 
.IR ls (C),
to which should you should refer for a complete discussion
of the capabilities of 
.I l.
.SH Files
/etc/passwd	Contains user \s-1ID\s+1s 
.PP
/etc/group	Contains group \s-1ID\s+1s
.SH Notes
Newline and tab are considered printing characters in filenames.
.PP
The output device is assumed to be 80 columns wide.
