.\" bm# 0000002076
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ln.C	1.1);


.ds mc 
.ds rv Revision 1
.TH LN C 
.SH Name
ln  \-  Makes a link to a file.
.SH Syntax
.B ln
name1 name2
.SH Description
A link is a directory entry referring
to a file; the same file (together with
its size, all its protection information, etc.)
may have several links to it.
There is no way to distinguish a link to a file
from its original directory entry.
Any changes to the file are effective
independent of the name by which the file is known.
.PP
.I Ln
creates a link to the existing file
.IR name1 .
The 
.I name2 
argument is a new name referring to the same file contents as 
.I name1.
'\"	If
'\"	.I name2
'\"	is given, the link has that name.
'\"	If only 
'\"	.I name1 
'\"	is given,
'\"	then 
'\"	the new linked file is placed in the current directory
'\"	and its name is the final filename component of
'\"	.IR name1 .
.PP
It is forbidden to link to a directory
or to link across file systems.
.SH "See Also"
cp(C), mv(C), rm(C)
