.\" bm# 0000002069
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mkdir.C	1.1);


.ds mc 
.ds rv Revision 1
.TH MKDIR C 
.SH Name
mkdir \- Makes a directory.
.SH Syntax
.B mkdir
dirname ...
.SH Description
.I Mkdir\^
creates directories.
The standard entries ``dot''
.RB ( . ),
for the directory itself,
and ``dot dot''
.RB ( .. ),
for its parent, are made automatically.
.PP
.I Mkdir\^
requires write permission in the parent directory.
The permissions assigned to the new directory are
modified by the current file creation mask set by 
.IR umask\^ (C).
.SH "See Also"
rmdir(C),
umask(C)
.SH Diagnostics
.I Mkdir\^
returns exit code 0 if all directories were successfully made;
otherwise, it prints a diagnostic and returns nonzero.
