.\" bm# 0000002067
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mknod.C	1.1);


.ds mc 
.ds rv Revision 1
.TH MKNOD C
.SH Name
mknod \- Builds special files.
.SH Syntax
.B /etc/mknod
name
[
.B c
] [
.B b
]
major
minor
.PP
.B /etc/mknod
name
.B p
.PP
.B /etc/mknod
name
.B s
.PP
.B /etc/mknod
name
.B m
.SH Description
.I Mknod\^
makes a directory entry and corresponding inode
for a special file.
The first argument is the
.I name\^
of the entry.
In the first case, the second argument is
.B b
if the special file is block-type (disks, tape) or
.B c
if it is character-type (other devices).
The last two arguments are
numbers specifying the
.I major\^
device type
and the
.I minor\^
device (e.g. unit, drive, or line number),
which may be either decimal or octal.
.PP
The assignment of major device numbers is specific to each system.
'\"	They have to be dug out of the
'\"	system source file
'\"	.BR conf.c .
.PP
.I Mknod\^
can also be used to create named pipes with the 
.B p
option;
semaphores with the 
.B s
option; and
shared data (memory)
with the 
.B m
option.
.PP
Only the super-user can use the first form of the syntax.
.SH "See Also"
mknod(S)
