.\" bm# 0000002207
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ncheck.C	1.1);


.ds mc 
.ds rv Revision 1
.TH NCHECK C 
.SH Name
ncheck \- Generates names from inode numbers.
.SH Syntax
.B ncheck
[
.B \-i
numbers ]  [
.B \-a
] [
.B \-s
]  [ file-system ]
.SH Description
.I Ncheck\^
with no argument
generates a pathname vs. inode number
list of all files
on the set of file systems specified in 
.BR /etc/mnttab .
The two characters ``/.'' are appended to the names
of directory files.
The
.B \-i
option reduces the report 
to only those files whose inode numbers follow.
The
.B \-a
option
allows printing of the names
.B .
and
.BR .. ,
which are ordinarily suppressed.
The
.B \-s
option reduces the report to special files
and files with set-user-\s-1ID\s0 mode;
it is intended to discover concealed violations
of security policy.
A single 
.I filesystem 
may be specified rather than the default list of
mounted file systems.
.SH Files
/etc/mnttab
.SH "See Also"
fsck(C), sort(C)
.SH Diagnostics
When the file system structure is improper,
\f3??\fP denotes the ``parent'' of
a parentless file and
a pathname beginning with \f3...\fP denotes a loop.
.SH Notes
See 
.I Notes
under
.IR mount (C).
