.\" bm# 0000002205
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)newgrp.C	1.1);


.ds mc 
.ds rv Revision 1
.TH NEWGRP C
.SH Name
newgrp \- Logs user in to a new group.
.SH Syntax
.B newgrp
[ group ]
.SH Description
.I Newgrp\^
changes the group identification of its caller.
The same person remains logged in,
and the current directory is unchanged,
but calculations of access permissions to files are
performed with respect to the
new group
.SM ID\*S.
.PP
.I Newgrp\^
without an argument changes the group identification to
the group in the password file; in effect it changes the group
identification back to the caller's original group.
.PP
A password is demanded if the group has
a password and the user himself does not,
or if the group has a password and the user is not listed
in
.B /etc/group
as being
a member of that group.
.PP
When most users log in, they
are members of the group named
.BR other .
.SH Files
/etc/group
.PP
/etc/passwd
.SH "See Also"
login(M),
group(M)
.SH Notes
There is no convenient way to enter a password into
.BR /etc/group .
.PP
Use of group passwords is not encouraged, because,
by their very nature, they encourage poor security practices.
Shell variables are not preserved when invoking this
command unless they are explicitly exported.
