.\" bm# 0000002191
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)random.C	1.1);


.ds mc 
.ds rv Revision 1
.TH RANDOM C 
.SH Name
random \- Generates a random number.
.SH Syntax
.B random 
.RB [ \-s ]
[ scale ]
.SH Description
.I Random 
generates a random number on the standard output. 
and returns the number as its exit value.
By default this number is either 0 or 1,
i.e., 
.I scale 
is 1 by default.
If 
.I scale
is given a value between 1 and 255, then the range
of the random value is from 0 to 
.I scale.
If 
.I scale
is greater than 255 an error message is printed.
.P
With the 
.B \-s 
``silent'' option is given,
then the random number is returned as an exit
value but is not printed on the standard output.
If an error occurs,
.I random
returns an exit value of zero.
.SH "See Also"
rand(S)
.SH Notes
This command does not perform any floating point
computations.
.P
.I Random
uses the time of day as a seed.
