.\" bm# 0000002187
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)rmdir.C	1.1);


.ds mc 
.ds rv Revision 1
.TH RMDIR C 
.SH Name
rmdir \- Removes directories.
.SH Syntax
.B rmdir
dir ...
.PP
.SH Description
.I Rm
removes the entries for one or more
subdirectories 
from a directory.
A directory must be empty before it can be removed.
.I Rmdir 
enforces a standard and 
.I safe 
procedure for removing a directory; 
'\"that is, first delete the contents of the directory and only
'\"then remove the directory itself.
the contents of the directory must be removed
before the directory itself can be deleted with
.I rmdir .
Note that the ``rm -r \fIdir\fR''
command is a more dangerous alternative to 
.I rmdir.
.PP
.I Rmdir
removes entries for the named directories,
which must be empty.
.SH "See Also"
rm(C)
.SH Notes
.I Rmdir
will refuse to remove the root directory of a mounted
file system.
