.\" bm# 0000002181
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)setmnt.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SETMNT C
.SH Name
setmnt \- Establishes /etc/mnttab table.
.SH Syntax
.B /etc/setmnt
.SH Description
.I Setmnt\^
creates the
.B /etc/mnttab
table (see
.IR mnttab (F)),
which is needed for both the
.IR mount (C)
and
.IR umount (C)
commands.
.I Setmnt\^
reads the standard input
and creates a
.I mnttab\^
entry for each line.
Input lines have the format:
.PP
.RS
filesys node
.RE
.PP
where
.I filesys\^
is the name of the file system's
.I "special file\^"
(e.g., ``hd0'')
and
.I node\^
is the root name of that file system.
Thus
.I filesys\^
and
.I node\^
become the first two strings
in the
.IR mnttab (F)
entry.
.SH Files
/etc/mnttab
.SH "See Also"
mnttab(F)
.SH Notes
If
.I filesys\^
or
.I node\^
are longer than 128 characters errors can occur.
.PP
.I Setmnt\^
silently enforces an upper limit on the maximum number of
.I mnttab\^
entries.
.PP
.I Setmnt
is normally invoked by 
.B /etc/rc
when the system boots up.
