.\" bm# 0000002180
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)settime.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SETTIME C
.SH Name
settime \- Changes the access and modification dates of files.
.SH Syntax
.B settime
mmddhhmm [ yy ] [ 
.B \-f 
fname ] name ...
.SH Description
Sets the access and modification dates for one or more files.
The dates
are set to the specified date,
or to the access and modification dates of the file specified via
.BR \-f .
Exactly one of these methods must be used
to specify the new date(s).
The first
.I mm
is the month number;
.I dd
is the day number in the month;
.I hh
is the hour number (24 hour system);
the second
.I mm
is the minute number;
.I yy
is the last two digits of the year
and is optional.
For example:
.IP
settime 1008004583 ralph pete
.PP
sets the access and modification dates of files
.I ralph
and
.I pete
to Oct 8, 12:45 AM, 1983.
Another example:
.IP
settime \-f ralph john
.PP
This sets the access and modification dates of the file
.I john
to those of the file
.IR ralph .
.SH Notes
Use of 
.I touch\^
in place of 
.I settime\^
is encouraged.
