.\" bm# 0000002177
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)sleep.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SLEEP C 
.SH Name
sleep \- Suspends execution for an interval.
.SH Syntax
.B sleep
time
.SH Description
.I Sleep\^
suspends execution for
.I time\^
seconds.
It is used to execute a command
after a certain amount of time as in:
.PP
	(sleep 105; command)&
.PP
or to execute a command every so often, as in:
.PP
	while true
.br
	do
.br
		command
.br
		sleep 37
.br
	done
.SH "See Also"
alarm(S), sleep(S)
.SH Notes
.I Time\^
must be less than 65536 seconds.
