.\" bm# 0000002172
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)sum.C	1.1);


.ds mc 
.ds rv Revision 1
.TH SUM C 
.SH Name
sum \- Calculates checksum and counts blocks in a file.
.SH Syntax
.B sum
[
.B \-r
]
file
.SH Description
.I Sum\^
calculates and prints a 16-bit checksum for the named file,
and also prints the number of blocks in the file.
It is typically used to look for bad spots, or
to validate a file communicated over
a transmission line.
The option
.B \\-r
causes an alternate algorithm to be used
in computing the checksum.
.SH "See Also"
wc(C)
.SH Diagnostics
``Read error''
is indistinguishable from end-of-file on
most devices; check the block count.
