.\" bm# 0000002159
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)umount.C	1.1);


.ds mc 
.ds rv Revision 1
.TH UMOUNT C 
.SH Name
umount \- Dismounts a file structure.
.SH Syntax
.B /etc/umount
special-device
.SH Description
.I Umount
announces to the system that the removable file 
structure previously mounted on device
.I special-device
is to be removed.
Any pending I/O for the file system is completed, and the
file structure is flagged clean.
For fuller explanation of the mounting process see
.IR mount (C) .
.SH Files
/etc/mnttab   Mount table
.SH "See Also"
mount(C),
mount(S),
mnttab(F)
.SH "Diagnostics"
.TP 15
.I "device busy"
An executing process is using a file on the named file system
