.\" bm# 0000002438
.\" typ N
.\" ver 68k.generic
.\" mod generic
.\"
.\"     SCCSID(@(#)as.CP	1.1);


.ds mc 68000
.ds rv Revision 1
.TH AS CP XENIX-68
.SH Name
as \- assembler
.SH Syntax
.B as
[
.B \-l
] [
.B \-o
objfile
] [
.B \-g
] file.s
.SH Description
.I As
assembles the named file.
If the optional first argument
.B \-l
is used,
an assembly listing is produced and written to 
.I file.L.
This includes the source, the assembled code, and any assembly errors.
.PP
The output of the assembly is left on the file
.I objfile; 
if that is omitted,
.I file.o
is used.
If the optional 
.B \-g
flag is given, undefined symbols will be treated
as externals.
Arguments may appear in any order, except that
.B \-o 
must immediatly precede
.I objfile,
Flag arguments may be bunched.
.PP
Objfile is made executable if no errors occurred
during the assembly, and if there are no undefined symbols.
.PP
If
.I file
does not end with a
.B .s
then a warning is produced, but the assembly is run normally anyway.
The 
.I objfile 
will have the last character replaced by 
.B o
and the listing file will have the last character replaced by
.BR L .
.SH Files
.ta \w'/tmp/A68tmpr* 'u
/tmp/A68tmpr*	temporary
.SH "See Also"
ld(CP),
nm(CP),
adb(CP),
a.out(F)
