.\" bm# 0000002267
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)ranlib.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH RANLIB CP 
.SH Name
ranlib \- Converts archives to random libraries.
.SH Syntax
.B ranlib
archive 
.SH Description
.I Ranlib
converts each
.I archive
to a form which can be loaded
more rapidly by the loader,
by adding a table of contents named
.B __.SYMDEF
to the beginning of the archive.
It uses
.IR ar (CP)
to reconstruct the archive,
so sufficient temporary file space must
be available in the file system containing the
current directory.
.SH "See Also"
ld(CP), ar(CP), copy(C), settime(C)
.SH Notes
Failure to process a library with 
.I ranlib,
or failure to reprocess a library with
.I ranlib,
will cause
.I ld
to fail.
Because generation of a library by
.I ar
and randomization by
.I ranlib
are separate,
phase errors are possible.
The loader
.I ld
warns when the modification date of
a library is more recent than
the creation of its dictionary;
but this means you get the warning even if you
only copy the library.
