.\" bm# 0000002239
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)sact.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH SACT CP
.SH Name
sact \- Prints current \s-1SCCS\s+1 file editing activity.
.SH Syntax
.B sact
files
.SH Description
.I Sact\^
informs the user of any impending deltas to a named
.SM SCCS
file.
This situation occurs when
.IR get (CP)
with the
.B \-e
option has been previously executed without a subsequent
execution of
.IR delta (CP).
If a directory is named on the command line,
.I sact\^
behaves as though each file in the directory were
specified as a named file, except that
non\s-1SCCS\s+1
files and unreadable files are silently ignored.
If a name of
.B \-
is given, the standard input is read with each line
being taken as the name of an
.SM SCCS
file to be processed.
.P
The output for each named file consists of five fields
separated by spaces.
'\".RS 5
.TP 12
Field 1
Specifies the
.SM SID
of a delta that currently exists in the
.SM SCCS
file to which changes will be made to make the
new delta
.TP 12
Field 2
Specifies the
.SM SID
for the new delta to be created
.TP 12
Field 3
Contains the logname of the user who will
make the delta i.e., executed a
.I get\^
for editing
.TP 12
Field 4
Contains the date that
.B "get \-e"
was executed
.TP 12
Field 5
Contains the time that
.B "get \-e"
was executed
.SH "See Also"
delta(CP),
get(CP),
unget(CP)
.SH Diagnostics
Use
.IR help (CP)
for explanations.
