.\" bm# 0000002232
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)unget.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH UNGET CP
.SH Name
unget \- Undoes a previous get of an \s-1SCCS\s+1 file.
.SH Syntax
.B unget
.RB [ \-r \s-1SID\s+1]
.RB [ \-s ]
.RB [ \-n ]
files
.SH Description
Unget undoes the effect of a
.B "get \-e"
done prior to creating the intended new delta.
If a directory is named,
.I unget\^
behaves as though each file in the directory were
specified as a named file, except that
non\s-1SCCS\s+1
files and unreadable files are silently ignored.
If a name of
.B \-
is given, the standard input is read with each line
being taken as the name of an
.SM SCCS
file to be processed.
.P
Options apply independently to each
named file.
'\".RS 5
.TP 12
.BI \-r \s-1SID\s+1\^
Uniquely identifies which delta is no longer intended.
(This would have been specified by
.I get\^
as the ``new delta''.)
The use of this option is necessary only if two or
more versions of the same
.SM SCCS
file have been retrieved 
for editing by the same person (login name).
A diagnostic results if the specified
.I \s-1SID\s+1\^
is ambiguous, or if it is necessary and omitted
on the command line.
.TP 12
.B \-s
Suppresses the printout, on the standard output,
of the intended delta's
.IR \s-1SID\s+1 .
.TP 12
.B \-n
Causes the retention of the file
which would normally be removed from
the current directory.
.SH "See Also"
delta(CP),
get(CP),
sact(CP)
.SH Diagnostics
Use
.IR help (CP)
for explanations.
