.\" bm# 0000002138
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)accton.C	1.1);


.ds mc 
.ds rv Revision 1
.TH ACCTON C
.SH Name
accton \- Turns on accounting.
.in
.SH Syntax
.B accton
[\^file\^]
.SH Description
.I Accton\^
turns on and off process accounting.
If no 
.I file\^
is given, then accounting is turned off.
If
.I file\^
is given,
it must be the name of an existing file,
to which the kernel appends process accounting records.
(see
.IR acct\| (S)
and
.IR acct\| (F)).
.SH Files
.ta \w'/usr/adm/wtmp\ \ \ \ 'u +.5i
.nf
/etc/passwd	Used for login name to user \s-1ID\s+1 conversions
.sp 10p
/usr/lib/acct	Holds many accounting commands
.sp 10p
/usr/adm/pacct	Current process accounting file
.sp 10p
/usr/adm/wtmp	Login/logout history file
.fi
.in
.SH "See Also"
acctcom(C),
acct(S),
acct(F),
utmp(M)
'\"	.br
'\"	.I "The \s-1XENIX\s+1 Accounting System\^"
'\"	by H. S. McCreary.
.DT
