.\" bm# 0000002137
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)asktime.C	1.1);


.ds mc 
.ds rv Revision 1
.TH ASKTIME C
.SH Name
asktime \- Prompts for the correct time of day.
.SH Syntax
.B /etc/asktime
.SH Description
This command prompts for the time of day.
You must enter a legal time according to the proper
format as defined below:
.IP
\fImmddhhmm\fR[\fIyy\^\fR]
.P
Here the first
.I mm\^
is the month number;\fR
.I dd\^
is the day number in the month;\fR
.I hh\^
is the hour number (24-hour system);\fR
the second
.I mm\^
is the minute number;\fR
.I yy\^
is the last 2 digits of the year number and is optional.
The current year is the default if no year is mentioned.
.SH Examples
This example sets the new time, date, and
year to ``9:23 January 1, 1983''.
.PP
.RS
I think it's Wed Nov  3 14:36:23 PST 1982
.br
Enter time (mmddhhmm[yy]): 0101092383
.RE
.sp 1
.SH Diagnostics
If you enter an illegal time, 
.I asktime 
prompts with:
.PP
.RS
Try again:
.RE
.SH Notes
.I Asktime 
is normally performed automatically by the system
startup file 
.B /etc/rc
immediately after the system is booted; 
however, it may be executed at any time. 
The command is privileged, and can only be executed
by the super-user.
