.\" bm# 0000002128
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cal.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CAL C 
.SH Name
cal \- Prints a calendar.
.SH Syntax
.B cal
[[ month ] year]
.SH Description
.I Cal\^
prints a calendar for the specified year.
If a month is also specified, a calendar
for that month only is printed.
If no arguments are specified, the current, previous,
and following months are printed, 
along with the current date and time.
The
.I year\^
must be a number between 1 and 9999;
.I month\^
must be a number between 1 and 12 or enough characters to specify
a particular month.  
For example,
.B May
must be given to distinguish it from March, but
.B S
is sufficient to specify September.  
If only a month string is given,
only that month of the current year is printed.
.SH Notes
Beware that ``cal 84'' refers to the year 84,
not 1984.
.P
The calendar produced is that for England and her colonies.
Note that England switched from the Julian to the
Gregorian calendar in September of 1752, at which
time eleven days were excised from the year.
To see the result of this switch, try ``cal 9 1752''.
'\"	At the behest of the Pope in 1582, 
'\"	the entire European continent changed its
'\"	calendar from the Julian to the Gregorian standard.
'\"	The British waited 170 years until September of 1752
'\"	when, under the reign of George II,  
'\"	eleven days were excised from their calendar.  
'\"	Some thought that eleven days had been taken
'\"	from their lives, and protested the action with the slogan
'\"	``Give us back our eleven days!''
