.\" bm# 0000002127
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)calendar.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CALENDAR C 
.SH Name
calendar \- Invokes a reminder service.
.SH Syntax
.B calendar
[ \- ]
.SH Description
.I Calendar\^
consults the file \f3calendar\fP in the user's current directory
and mails him lines that contain today's or
tomorrow's date.
Most reasonable month-day dates, such as ``Sep. 7,''
``september 7'', and ``9/7'', are recognized, but not
``7 September'', ``7/12'' or ``07/12''.
.P
On weekends ``tomorrow'' extends through Monday. Lines
that contain the date of a Monday will be sent to
the user on the previous Friday. This is not true for
holidays.
.PP
When 
an argument is present,
.I calendar\^
does its job for every user
who has a file \f3calendar\fP in his login directory
and sends the user the results by
.IR mail\| (C).
Normally this is done daily, in the early
morning, under the control of
.IR cron\| (C).
.SH Files
calendar
.br
.sp 10p
/usr/lib/calprog    To figure out today's and tomorrow's dates
.br
.sp 10p
/etc/passwd
.br
.sp 10p
/tmp/cal\(**
.br
.sp 10p
/usr/lib/crontab
.SH "See Also"
cron(C), mail(C)
.SH Notes
To get reminder service, a user's 
.B calendar  
file must have read permission for all.
