.\" bm# 0000002120
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)cmp.C	1.1);


.ds mc 
.ds rv Revision 1
.TH CMP C
.SH Name
cmp \- Compares two files.
.SH Syntax
.B cmp
[
.B \-l
] [
.B \-s
]
.I "file1 file2"
.SH Description
.I Cmp
compares two files and, if they are different, displays
the byte and line number of the differences. 
If
.I file1\^
is
.BR \- ,
the standard input is used.
.PP
The options are:
.TP 6
.B  \-l
Prints the byte number (decimal) and the
differing bytes (octal) for each difference.
.TP 6
.B  \-s
Returns an exit code only, 0 for identical files, 1 for
different files and 2 for an inaccessible or missing
file.
.P
This command should be used to compare binary files;
use 
.IR diff\| (C) 
or 
.IR diff3\| (C)
to compare text files.
.dt
.SH "See Also"
comm(C), diff(C), diff3(C)
.SH Diagnostics
Exit code 0 is returned for identical
files, 1 for different files, and 2 for an
inaccessible or missing argument.
