.\" bm# 0000002108
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)devnm.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DEVNM C
.SH Name
devnm \- Identifies device name.
.SH Syntax
.B /etc/devnm
[\|names\|]
.SH Description
.I Devnm\^
identifies the special file associated with 
the mounted file system where the argument 
.I name
resides.
.PP
This command is most commonly used by
.B /etc/rc
'\"	(see
'\"	.IR rc (M))
to construct a mount table entry for the
.B root
device.
.SH Examples
Be sure to type full pathnames in this example:
.PP
.RS
.nf
/etc/devnm /usr
.fi
.RE
.PP
If
.B /dev/hd1 
is mounted on
.BR /usr ,
this produces:
.PP
.RS
.nf
hd1 /usr
.fi
.RE
.SH Files
/dev/\(**	Device names
.sp 10p
/etc/rc 	Xenix startup commands
.SH "See Also"
setmnt(C)
