.\" bm# 0000002100
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)du.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DU C
.SH Name
du \- Summarizes disk usage.
.SH Syntax
.B du
[
.B \-ars
] [ names ]
.SH Description
.I Du\^
gives the number of blocks contained in all files
and (recursively) directories within each directory and
file
specified by
the
.I names\^
argument.
The block count includes the indirect blocks
of the file.
If
.I names\^
is missing,
the current directory is used.
.PP
The optional argument
.B \-s
causes only the grand total
(for each
of the specified
.IR names )
to be given.
The optional argument
.B \-a
causes an entry to be generated
for each file.
Absence of either causes an entry to be generated for
each directory only.
.PP
.I Du\^
is normally silent about directories that cannot be read,
files that cannot be opened, etc.
The
.B \-r
option will cause
.I du\^
to generate messages in such instances.
.PP
A file with two or more links is only counted once.
.SH Notes
If the
.B \-a
option is not used,
nondirectories
given as arguments
are not listed.
.br
.sp 10p
If there are too many distinct linked files,
.I du\^
will count the excess files more than once.
.br
.sp 10p
Files with holes in them will get an incorrect
block count.
