.\" bm# 0000002098
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)dumpdir.C	1.1);


.ds mc 
.ds rv Revision 1
.TH DUMPDIR C 
.SH Name
dumpdir \- Prints the names of files on a backup archive.
.SH Syntax
.B dumpdir
[
.B f
filename ]
.SH Description
.I Dumpdir
is used to list the names and inode numbers
of all files and directories on an
archive written with the
.I dump
command.
This is most useful when attempting to determine the
location of a particular file in a set of backup archives.
.PP
The
.B f
option causes
.I filename
to be used as the name of the backup device instead of the default.
The backup device depends
on the setting of the variable 
.SM TAPE
in the file 
.BR /etc/default/dump .
.SH Files
rst*	Temporary files
.SH "See Also"
dump(C), restor(C), default(M)
.SH Diagnostics
If the backup extends over more than one volume
(where a volume is likely a floppy disk or tape),
you will be asked to change volumes.
Press 
.SM RETURN
after changing volumes.
'\"	.SH Notes
