.\" bm# 0000002095
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)env.C	1.1);


.ds mc 
.ds rv Revision 1
.TH ENV C
.SH Name
env \- Sets environment for command execution.
.SH Syntax
.B env
.RB [ \- ]
[ name=value ] ...
[ command args ]
.SH Description
.I Env\^
obtains the current
.IR environment ,
modifies it according to its arguments,
then executes the command with the modified environment.
Arguments of the form
.IB name = value
are merged into the inherited environment
before the command is executed.
The \f3\-\fP flag causes the inherited environment to be ignored
completely,
so that the command is executed with exactly the environment
specified by the arguments.
.PP
If no command is specified,
the resulting environment is printed,
one name-value pair per line.
.SH "See Also"
sh(C), exec(S), profile(M), environ(M)
