.\" bm# 0000002092
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)false.C	1.1);


.ds mc 
.ds rv Revision 1
.TH FALSE C 
.SH Name
false \- Returns with a nonzero exit value.
.SH Syntax
.B false
.SH Description
.I False
does nothing except return with
a nonzero exit value.
.IR True (C),
.I false's
counterpart,
does nothing except return with a zero exit value.
False is typically used in shell procedures
such as:
.PP
	until false
.br
	do
.br
		command
.br
	done
.SH "See Also"
sh(C), true(C)
.SH Diagnostics
.I False
has exit status 1.
