.\" bm# 0000002086
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)grpcheck.C	1.1);


.ds mc 
.ds rv Revision 1
.TH GRPCHECK C
.SH Name
grpcheck \- Checks group file.
.SH Syntax
.B pwcheck
[\^file\^]
.PP
.B grpcheck
[\^file\^]
.SH Description
.I Grpcheck\^
verifies all entries in the group file. This verification
includes a check of the number of fields, group name,
group \s-1ID\s+1, and whether all login names appear in the
password file. The default group file is
.BR /etc/group .
.SH Files
/etc/group
.PP
/etc/passwd
.SH "See Also"
pwcheck(C),
group(M),
passwd(M)
.SH Diagnostics
Group entries in
.BR /etc/group
with no login names are flagged.
