.\" bm# 0000002208
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)mv.C	1.1);


.ds mc 
.ds rv Revision 1
.TH MV C 
.SH Name
mv  \-  Moves or renames files and directories.
.SH Syntax
.B mv
file1 file2
.PP
.B mv
file ... directory
.SH Description
.I Mv
moves (changes the name of)
.I file1
to
.IR file2 .
.PP
If
.I file2
already exists,
it is removed before
.I file1
is moved.
If
.I file2
has a mode which forbids writing,
.I mv
prints the mode (see
.IR chmod (S))
and
reads the standard input to obtain a line;
if the line begins with
.B y,
the move takes place;
if not,
.I mv
exits.
.PP
In the second form,
one or more
.I files
are moved to the
.I directory
with their original
filenames.
.PP
.I Mv
refuses to move a file onto itself.
.SH "See Also"
cp(C), chmod(S), copy(C)
.SH Notes
If
.I file1
and
.I file2
lie on different file systems,
.I mv
must copy the file and delete the original.
In this case the owner name becomes
that of the copying process and any
linking relationship with other files is lost.
'\"	.PP
'\"	.I Mv
'\"	should take the
'\"	.B \-f
'\"	flag, like
'\"	.I rm,
'\"	to suppress the question
'\"	if the target exists and is not writable.
