.\" bm# 0000002206
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)netutil.C	1.1);


.ds mc 
.ds rv Revision 1
.TH NETUTIL C
.SH Name
netutil \- Administers the \s-1XENIX\s0 network.
.SH Syntax
.B netutil
[ 
\-option
] 
.SH Description
The
.I netutil
command allows the user to create and maintain a network of 
.SM XENIX
machines.  
A Micnet network is a link through serial lines of two or more 
.SM XENIX 
systems.  
It is used to send mail between systems with the
.IR mail (C)
command, transfer files between systems with the
.IR rcp (C)
command, and execute commands from a remote system with the 
.IR remote (C)
command.
.PP
The 
.B netutil 
command is used to create and distribute the data 
files needed to implement the network. 
It is also used to start and stop the network.
The
.I option  
argument may be any one of 
.BR install ,
.BR save ,
.BR restore ,
.BR start ,
.BR stop ,
or the numbers 1 through 5 respectively.
.PP
The 
.B install
option interactively 
creates the data files needed to run the network.  
The 
.B save 
option saves these files on floppy disks, allowing them to
be distributed to the other systems in the network.
The 
.B restore
option copies the data files from floppy disk back to
a system.
The 
.B start
option starts the network.
The 
.B stop
option stops the network.
An 
.I option
may also be any decimal digit in the range 1 to 5.
If invoked without an 
.IR option ,
the command displays a menu from which to choose
one.  
Once an option is selected, it prompts for
additional information if needed.
.PP
A network must be installed before it can be
started.  
Installation consists of creating appropriate
configuration files with the
.B install 
option. 
This option requires the name of each
machine in the network, 
the serial lines to be used to connect the machines, 
the speed of transmission for each line, 
and the names of the users on each machine.
Once created, the files must be distributed to each computer
in the network with the
.B save
and
.B restore
options.   
The network is started by using the 
.B start 
option on each machine in the network.  Once
started, mail and remote commands can be passed
along the network.  A record of the transmissons
between computers in a network can be kept in the 
network log files.
Installation of the network is described in the
.SM XENIX
.IR "Operations Guide" .
.SH Files
/bin/netutil
.SH "See Also"
aliases(M), aliashash(M),
mail(C), micnet(M), remote(C), 
rcp(C), systemid(M), top(M)
.SM XENIX
.I Operations Guide
