.\" bm# 0000002204
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)nice.C	1.1);


.ds mc 
.ds rv Revision 1
.TH NICE C
.SH Name
nice \- Runs a command at a different priority.
.SH Syntax
.B nice
[
.BR \- increment
]
command [ arguments ]
.SH Description
.I Nice\^
executes
.I command\^
with a lower
.SM CPU
scheduling priority.
Priorities range from 0 to 39, where 0 is the highest
priority and 39 is the lowest.
Be default commands have a priority of 20.
If an
.BI \-increment\^
argument is given where 
.I increment 
is in the range 1-19,
.I increment
is added to the default priority of 20 to produce
a numerically higher priority, meaning a 
.I lower 
scheduling priority.
If no 
.I increment 
is given,
an increment of 10 to produce a priority of 30 is assumed.
.PP
The super-user may run commands with priority 
.I higher 
than normal by using a double negative increment.
For example, an argument of
.B -\^-10 
would decrement the default to produce a priority of 10,
which is a higher scheduling priority than the default of 20.
.SH "See Also"
nohup(C), nice(S)
.SH Diagnostics
.I Nice\^
returns the exit status of the subject command.
.SH Notes
An
.I increment\^
larger than 19 is equivalent to 19.
