.\" bm# 0000002201
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)od.C	1.1);


.ds mc 
.ds rv Revision 1
.TH OD C 
.SH Name
od \- Displays files in octal format.
.SH Syntax
.B od
.RB [ \-bcdox ]
[ file ] [ [
.B +
]offset[
.BR ". " "]["
\fBb\fR ] ]
.SH Description
.I Od\^
displays
.I file\^
in
one or more formats
as
selected by the first argument.
If the first argument is missing,
.B \-o
is default.
The meanings of the format options are:
.TP 6
.B  \-b
Interprets bytes in octal.
.TP
.B  \-c
Interprets bytes in \s-1ASCII\s0.
Certain nongraphic characters appear as C escapes:
null=\f3\e0\fP,
backspace=\f3\eb\fP,
form feed=\f3\ef\fP,
newline=\f3\en\fP,
return=\f3\er\fP,
tab=\f3\et\fP;
others appear as 3-digit octal numbers.
.TP
.B  \-d
Interprets words in decimal.
.TP
.B  \-o
Interprets words in octal.
.TP
.B  \-x
Interprets words in hex.
.PP
The
.I file\^
argument specifies which file is to be displayed.
If no file argument is specified,
the standard input is used.
.PP
The offset argument specifies the offset
in the file where displaying is to start.
This argument is normally interpreted
as octal bytes.
If 
.B .
is appended, the offset is interpreted in
decimal.
If 
.B b
is appended, the offset is interpreted in
blocks of 512 bytes.
If the file argument is omitted,
the offset argument must be preceded by
.BR + .
.PP
The display continues until end-of-file.
.SH "See Also"
hd(C), adb(CP)
