.\" bm# 0000002195
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)pwadmin.C	1.1);


.ds mc 
.ds rv Revision 1
.TH PWADMIN C 
.SH Name
pwadmin \- Performs password aging administration.
.SH Syntax
.B pwadmin
.B \-dcfn 
.RB [ " \-min " 
weeks ] 
.RB [ " \-max " 
weeks ] user
.sp
.B pwadmin
user
.br
.SH Description
.I Pwadmin
is used to examine and modify the password aging information in the
password file.  
The options one can specify are as follows:
.TP 7
.B  \-d
Displays the password aging information.
.TP 
.B  \-f
Forces the user to change his password at the next login.
.TP 
.B  \-c
Prevents the user from changing his password.
.TP 
.B  \-n
Disables the password aging feature.
.TP 
.B  \-min
Uses the next argument as the minimum number of weeks before the user
can change his password.  
(This prevents him from changing his password
back to the old one).
.TP 
.B \-max
Uses the next argument as the number of weeks 
before the user must change his password again.
.PP
If
.I pwadmin
is invoked with a user name only, 
it interactively prompts for changes to
be made to the password aging information.
.SH Files
/etc/passwd
.SH "See Also"
passwd(C),
passwd(M)
'\"	.SH Diagnostics
