.\" bm# 0000002167
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)tee.C	1.1);


.ds mc 
.ds rv Revision 1
.TH TEE C 
.SH Name
tee \- Creates a tee in a pipe.
.SH Syntax
.B tee
[
.B \-i
] [
.B \-a
]
[ file ] ...
.SH Description
.I Tee\^
transcribes the standard input to the standard
output and makes copies in the 
.IR files .
The
.B \-i
option
ignores interrupts;
the
.B \-a
option
causes the output to be appended to the
.I files\^
rather than overwriting them.
.SH Examples
The following example illustrates the creation of
temporary files at each stage in a pipeline:
.PP
.RS
.nf
grep ABC | tee ABC.grep | sort | tee ABC.sort | more
.fi
.RE
.PP
This example shows how to tee output to the terminal screen:
.PP
.RS
.nf
grep ABC | tee /dev/tty | sort | uniq >final.file 
.fi
.RE
.PP
