.\" bm# 0000002165
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)touch.C	1.1);


.ds mc 
.ds rv Revision 1
.TH TOUCH C
.SH Name
touch \- Updates access and modification times of a file.
.SH Syntax
.B touch
[
.B \-amc
] [ mmddhhmm[yy] ] files
.SH Description
.I Touch\^
causes the access and modification times of each
argument to be updated.
If no time is specified (see
.IR date (C))
the current time is used.
The
.B \-a
and
.B \-m
options cause touch to update only the access or modification
times respectively (default is
.BR \-am ).
The
.B \-c
option silently prevents
.I touch\^
from creating the file if it did not
previously exist.
.PP
The return code from
.I touch\^
is the number of files for which the times could not
be successfully modified
(including files that did not exist and were not created).
.SH "See Also"
date(C), utime(S)
