.\" bm# 0000002163
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)true.C	1.1);


.ds mc 
.ds rv Revision 1
.TH TRUE C 
.SH Name
true \- Returns with a zero exit value.
.SH Syntax
.B true
.SH Description
.I True
does nothing except return with
a zero exit value.
.IR False (C),
\fItrue\fR's
counterpart
does nothing except return with a
nonzero exit value.
.I True
is typically used in shell procedures
such as:
.PP
	while true
.br
	do
.br
		command
.br
	done
.SH "See Also"
sh(C), false (C)
.SH Diagnostics
.I True 
has exit status zero.
