.\" bm# 0000002150
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)who.C	1.1);


.ds mc 
.ds rv Revision 1
.TH WHO C 
.SH Name
who \- Lists who is on the system.
.SH Syntax
.B who
[ who-file ] [
.B "am I"
]
.SH Description
.IR Who ,
without an argument,
lists the login name, terminal name, and login time
for each current \s-1XENIX\s0 user.
.PP
Without an argument,
.I who\^
examines the
.B /etc/utmp
file to obtain its information.
If a file is given, that file is examined.
Typically the given file will be
.BR /usr/adm/wtmp ,
which contains a record of all the logins since it
was created.
Then
.I who\^
lists
logins, logouts, and crashes since the creation of
the wtmp file.
Each login is listed with user name,
terminal name (with \f3/dev/\fP
suppressed),
and date and time.
When an argument is given, logouts produce a similar line without a user name.
Reboots produce a line with \f3x\fP in the place of the device name,
and a fossil time indicative of when the system went down.
.PP
With two arguments,
as in
.B "who am I"
(and also
.BR "who are you" ),
.I who\^
tells who you are logged in as.
.SH Files
/etc/utmp
.SH "See Also"
getuid(S), utmp(M)
