.\" bm# 0000002250
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)help.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH HELP CP
.SH Name
help \- Asks for help about \s-1SCCS\s0 commands.
.SH Syntax
.B help
[\^args\^]
.SH Description
.I Help\^
finds information to explain 
a message from an 
.SM SCCS 
command or explain the use of a command.
Zero or more arguments may be supplied.
If no arguments are given,
.I help\^
will prompt for one.
.PP
The arguments may be either
message numbers (which normally appear in parentheses 
following messages)
or command names.
There are the following types of arguments:
.PP
.TP 10
type 1
Begins with nonnumerics, ends in numerics.
The nonnumeric prefix is usually an abbreviation for the program or
set of routines which produced the message
(e.g., \fBge6\fP, for message 6 from the
.I get\^
command).
.TP 10 
type 2
Does not contain numerics (as a command, such as
.BR get )
.TP 10
type 3
Is all numeric (e.g., \fB212\fP)
.PP
The response of the program will be the explanatory information related
to the argument, if there is any.
.PP
When all else fails, try ``help stuck''.
.SH Files
.TP 17
/usr/lib/help
Directory containing files of message text
'\"	.SH Diagnostics
'\"	Use
'\"	.IR help (CP)
'\"	for explanations.
