.\" bm# 0000002236
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)strings.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH STRINGS CP
.SH Name
strings \- Finds the printable strings in an object file.
.SH Syntax
.B strings
.RB [ \- ]
.RB [ \-o ]
[ \fB\-\fInumber\fR ] file ...
.SH Description
.I Strings
looks for ASCII strings in a binary file.
A string is any sequence of four or more printing characters ending with
a newline or a null character.
Unless the
.B \-
flag is given,
.I strings
only looks in the initialized data space of object files.
If the
.B \-o
flag is given, then each string is preceded by its 
decimal offset in the file.
If the
\fB\-\fInumber\fR
flag is given then \fInumber\fR 
is used as the minimum string length
rather than 4.
.PP
.I Strings
is useful for identifying random object files and many other things.
.SH "See Also"
hd(C),
od(C)
.SH Credit
This utility was developed 
at the University of California at Berkeley 
and is used with permission.
'\".SH Notes
'\"The algorithm for identifying strings is primitive.
