.\" bm# 0000002235
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)strip.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH STRIP CP
.SH Name
strip \- Removes symbols and relocation bits.
.SH Syntax
.B strip 
[ dehrsStx ] file ...
.SH Description
.I Strip\^
removes selcted parts of an object file, including the header,
text, data, relocation records, and symbol table.
Strip works directly on the named files; nothing is
written to the standard output.
.PP
.I Strip\^
is typically used to remove symbol table and
relocation information from a file after debugging
has been completed.  It also is useful for creating
a compact namelist file in which text and data have
been removed.
.TP 8
.B \-d
Strip data and the data relocation records.
.TP
.B \-e
Strip the extended header.
.TP
.B \-h
Strip the header and extended header.
.TP
.B \-r
Strip all relocation records except the 
.B x.out
short form.
.TP
.B \-s
Strip the symbol table.
.TP
.B \-S
Strip the segment table (for 8086/286 versions only).
.TP
.B \-t
Strip text and the text relocation records.
.TP
.B \-x
Strip all relocation records.
.PP
.I Strip\^
has the same effect as the 
.B \-s
option of 
.IR ld .
If no options are given, the
.B \-r
and
.B \-s
options are implied.
.PP
Although 
.I strip\^
can be used to remove an 
.B x.out
header from an 8086 relocatable file, it cannot be
used to remove run-time relocation records.
.SH Files
/tmp/s\(**	Temporary file
.SH "See Also"
ld(CP), a.out(F)
