.\" bm# 0000002233
.\" typ N
.\" ver generic
.\" mod generic
.\"
.\"     SCCSID(@(#)tsort.CP	1.1);


.ds mc 
.ds rv Revision 1
.TH TSORT CP
.SH Name
tsort \- Sorts a file topologically.
.SH Syntax
.B tsort
[ file ]
.SH Description
.I Tsort\^
produces on the standard output a totally ordered list of items
consistent with a partial ordering of items
mentioned in the input
.IR file .
If no
.I file\^
is specified, the standard input is understood.
.PP
The input consists of pairs of items (nonempty strings)
separated by blanks.
Pairs of different items indicate ordering.
Pairs of identical items indicate presence, but not ordering.
.SH "See Also"
lorder(CP)
.SH Diagnostics
.TP 11 
.I "Odd data: 
There is an odd number of fields in the input file.
.SH Notes
The \fIsort\fR algorithm is quadratic, which can
be slow if you have a large input list.
